Bug 1568755 - [RFE] Ability to specify a folder of OVAs in import-VMs dialog
Summary: [RFE] Ability to specify a folder of OVAs in import-VMs dialog
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Virt
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ovirt-4.2.6
: ---
Assignee: Arik
QA Contact: Nisim Simsolo
URL:
Whiteboard:
Depends On: 1610758
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 08:57 UTC by Arik
Modified: 2018-09-03 15:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Listing OVAs in a specified folder. Reason: Ease importing of VMs from OVA. Result: The user can provide a folder in import-VM dialog and as a result, will be provided with all the OVAs that reside in that folder.
Clone Of:
Environment:
Last Closed: 2018-09-03 15:10:41 UTC
oVirt Team: Virt
rule-engine: ovirt-4.2?
rule-engine: planning_ack?
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)
vdsm.log (444.75 KB, application/x-xz)
2018-05-28 09:01 UTC, Nisim Simsolo
no flags Details
engine.log (1.90 MB, text/plain)
2018-05-28 09:02 UTC, Nisim Simsolo
no flags Details
ovirt-query-ova-ansible, empty log (task hangs forever) (2 bytes, text/plain)
2018-05-28 09:05 UTC, Nisim Simsolo
no flags Details
ovirt-query-ova-ansible log1 (13.02 KB, text/plain)
2018-05-28 09:05 UTC, Nisim Simsolo
no flags Details
ovirt-query-ova-ansible log2 (9.26 KB, text/plain)
2018-05-28 09:06 UTC, Nisim Simsolo
no flags Details


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 90283 0 master MERGED core: query ova files from a directory 2018-05-06 13:05:06 UTC
oVirt gerrit 91047 0 ovirt-engine-4.2 MERGED core: query ova files from a directory 2018-05-10 10:36:25 UTC

Description Arik 2018-04-18 08:57:45 UTC
It is still confusing that the import-VMs dialog requires specifying a path to a specific OVA file rather than to a folder that may contain few OVAs. This RFE is about supporting a folder as an input and then listing the OVAs that the given folder contains.

Comment 1 Nisim Simsolo 2018-05-28 08:57:06 UTC
Reassigned:
1. When specifying folder of OVAs in import dialog, the task hangs forever. Observing engine tasks also shows that ovirt-ova-query hangs forever.
2. In case of OVFs in the OVAs folder, the import dialog is showing only one VM available to import (which is the OVF VM) instead of all the available OVAs to import.

Verification builds:
rhvm-4.2.4-0.1.el7
libvirt-client-3.9.0-14.el7_5.5.x86_64
qemu-kvm-rhev-2.10.0-21.el7_5.3.x86_64
vdsm-4.20.28-1.el7ev.x86_64
sanlock-3.6.0-1.el7.x86_64
virt-v2v-1.36.10-6.10.rhvpreview.el7ev.x86_64

engine.log, vdsm.log and ovirt-query-ova-ansible.log attached

Comment 2 Nisim Simsolo 2018-05-28 09:01:15 UTC
Created attachment 1443036 [details]
vdsm.log

Comment 3 Nisim Simsolo 2018-05-28 09:02:04 UTC
Created attachment 1443038 [details]
engine.log

Comment 4 Nisim Simsolo 2018-05-28 09:05:04 UTC
Created attachment 1443048 [details]
ovirt-query-ova-ansible, empty log (task hangs forever)

Comment 5 Nisim Simsolo 2018-05-28 09:05:43 UTC
Created attachment 1443049 [details]
ovirt-query-ova-ansible log1

Comment 6 Nisim Simsolo 2018-05-28 09:06:10 UTC
Created attachment 1443050 [details]
ovirt-query-ova-ansible log2

Comment 8 Arik 2018-06-27 13:58:28 UTC
Seems that the output returned by ansible is limited by 64k...

Comment 9 Arik 2018-08-06 13:08:20 UTC
Should not be retested yet as it depends on bz 1610758

Comment 10 Nisim Simsolo 2018-08-28 15:19:54 UTC
Verified_upstream:
ovirt-engine-4.2.6.4-0.0.master.20180823141941.gitb3a5b18.el7
qemu-kvm-rhev-2.10.0-21.el7_5.5.x86_64
libvirt-client-3.9.0-14.el7_5.7.x86_64
vdsm-4.20.38-8.git9f3cc73.el7.x86_64

Comment 11 Raz Tamir 2018-08-28 19:30:29 UTC
QE verification bot: the bug was verified upstream


Note You need to log in before you can comment on or make changes to this bug.